Get list of project domains
curl --request GET \
--url {schemes}://api.upsun.com/projects/{projectId}/domains \
--header 'Authorization: Bearer <token>'import requests
url = "{schemes}://api.upsun.com/projects/{projectId}/domains"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('{schemes}://api.upsun.com/projects/{projectId}/domains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"type": "<string>",
"name": "<string>",
"attributes": {},
"id": "<string>",
"project": "<string>",
"registered_name": "<string>",
"is_default": true
}
]Domain Management
Get list of project domains
Retrieve a list of objects representing the user-specified domains associated with a project. Note that this does not return the domains automatically assigned to a project that appear under “Access site” on the user interface.
GET
/
projects
/
{projectId}
/
domains
Get list of project domains
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
default - application/json
- Option 1
- Option 2
The creation date
The update date
The type of domain
The domain name
Arbitrary attributes attached to this resource
Show child attributes
Show child attributes
The identifier of ProdDomainStorage
The name of the project
The claimed domain name
Is this domain default
Last modified on June 16, 2026
Was this page helpful?